fwnn-devel-1.1.1a023-lp151.2.38.x86_64.rpm


Advertisement

Description

fwnn-devel - Development Library and Header Files for FreeWnn

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename fwnn-devel-1.1.1a023-lp151.2.38.x86_64.rpm
Package name fwnn-devel
Package version 1.1.1a023
Package release lp151.2.38
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://freewnn.sourceforge.jp/
License GPL-2.0+
Maintainer -
Download size 14.96 KB
Installed size 10.37 KB
This package contains the header files and libraries for building
client programs which use FreeWnn for Japanese input.

Alternatives

Package Version Architecture Repository
fwnn-devel - - -

Requires

Name Value
fcwnn-devel = 1.1.1a023
fwnn = 1.1.1a023
libjd0 = 1.1.1a023
libwnn0 = 1.1.1a023

Provides

Name Value
fwnn-devel = 1.1.1a023-lp151.2.38
fwnn-devel(x86-64) = 1.1.1a023-lp151.2.38
fwnndev = 1.1.1a023

Obsoletes

Name Value
fwnndev < 1.1.1a023

Download

Type URL
Mirror widehat.opensuse.org
Binary Package fwnn-devel-1.1.1a023-lp151.2.38.x86_64.rpm
Source Package fwnn-1.1.1a023-lp151.2.38.src.rpm

Install Howto

Install fwnn-devel rpm package:

# zypper install fwnn-devel

Files

Path
/usr/include/wnn/commonhd.h
/usr/include/wnn/config.h
/usr/include/wnn/cplib.h
/usr/include/wnn/jlib.h
/usr/include/wnn/jllib.h
/usr/include/wnn/jslib.h
/usr/include/wnn/msg.h
/usr/include/wnn/rk_spclval.h
/usr/include/wnn/wnn_config.h
/usr/include/wnn/wnnerror.h
/usr/lib64/libjd.so
/usr/lib64/libwnn.so

Changelog

2017-11-23 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
2016-06-13 - jengelh@inai.de
- Implement shared library guideline
- Condense description to present the main idea
- Rename development subpackages to *-devel
2016-06-07 - mpost@suse.com
- Removed %{?_smp_mflags} from the make command to fix a build
failure on the s390x architecture.
2015-12-25 - i@marguerite.su
- add Requires: fcwnndev to fkwnndev and fwnn-devel,
or the header files of the later two would be
dangling symlinks
- add Requires: fkwnn/fwnn to fcwnn, or files in etc/FreeWnn
would be dangling symlinks
- add Requires: fcwnn to ftwnn, or files in etc/FreeWnn
would be dangling symlinks
- remove redundant Requires: fwnncom from fcwnn, ftwnn,
because they requires fcwnncom that has already required
fwnncom
- the dangling symlinks mentioned above can't be fixed
by fdupes simply
2015-09-16 - werner@suse.de
- Some cleanups like
+ use the same owner for /var/lib/wnn as the package canna does
+ mark configuration files as configuration files
+ avoid warning due missed header files
2015-09-12 - i@marguerite.su
- update to 1.1.1-a023
* Merge modificaion used in OpenSUSE packages by new member,
Mitsutoshi NAKANO. Added explicit function prototype and
cast in many places, so we reduced unpredictable effect
on 64bit environment.
* As a consequence of this change, #define of WNN_CREATE /
WNN_NO_CREATE in jl_dic_create() is also changed. We
believe no change is needed for client build, but please
report if you have problems.
* Exit status of jserver changed on receiving some signals
(ex. SIGTERM). (Not well documented.)
* Fixed problem for parallel build (ex. make -jXX) on pubdic+.
- drop patch: FreeWnn-sighandler.patch, upstreamed
- drop patch: FreeWnn-include.patch, upstreamed
- drop patch: FreeWnn-prototypes.patch, upstreamed
- drop patch: FreeWnn-prototypes_msg.patch, upstreamed
- drop patch: FreeWnn-1.1.1-a022.dif, upstreamed
- drop patch: FreeWnn-prototypes_3.patch, upstreamed
2013-08-15 - bkbin005@rinku.zaq.ne.jp
- Modify FreeWnn-prototypes_3.patch .
I found a bug in make_hinsi_list() at Wnn/jserver/hinsi_list.c,
then fixed it .
2013-08-15 - bkbin005@rinku.zaq.ne.jp
- Add FreeWnn-prototypes_3.patch .
Prototype declarations for reducing compilation warnings .
2013-08-09 - bkbin005@rinku.zaq.ne.jp
- Add FreeWnn-prototypes_msg.patch .
Bugfix: In openSUSE 13.1 Milestone 3,
uum could not get error messages .
This issue's cause is that we forgot prototype declaration
of msg_get() in Wnn/include/msg.h .
Then I added "FreeWnn-prototypes_msg.patch" as %Patch15 .
http://lists.opensuse.org/opensuse-ja/2013-08/msg00014.html
http://sourceforge.jp/projects/freewnn/lists/archive/users/2013-August/000140.html
- I added %configure --with-libwrap option .
The [jctk]server s were linked -lwrap .
Then we can use /etc/hosts.allow /etc/hosts.deny .
- Degrade fix: In "FreeWnn-prototypes.patch",
I invalidated the patch of "FreeWnn-sighandler.patch" .
Then I deleted a wrong patch to "Wnn/jserver/de.c"
from "FreeWnn-prototypes.patch" .
http://sourceforge.jp/projects/freewnn/lists/archive/users/2013-August/000141.html
- Change: In "FreeWnn-sighandler.patch",
I changed from _exit(-1) to _exit(255) .
This change effects [jctk]server's exit status .
2013-08-08 - bkbin005@rinku.zaq.ne.jp
- SLE_11 and openSUSE 12.2 does not provide libwrap0,
then I could not build FreeWnn on them .
So, I deleted %configure --with-libwrap option
and "BuildRequires: libwrap0" from fwnn.spec file .

See Also

Package Description
fwnncom-1.1.1a023-lp151.2.38.x86_64.rpm Common Files for FreeWnn
fwts-18.11.00-lp151.1.2.x86_64.rpm Firmware Test Suite
fwupd-1.0.9-lp151.1.6.x86_64.rpm Device firmware updater daemon
fwupd-devel-1.0.9-lp151.1.6.x86_64.rpm Allow session software to update device firmware
fwupd-lang-1.0.9-lp151.1.6.noarch.rpm Translations for package fwupd
fwupdate-12-lp151.3.21.x86_64.rpm Tools to manage UEFI firmware updates
fwupdate-devel-12-lp151.3.21.x86_64.rpm Development headers for libfwup
fwupdate-efi-12-lp151.3.21.x86_64.rpm UEFI binaries used by libfwup
fwzs-0.5-lp151.2.1.noarch.rpm Tray applet that allows to switch firewall zones of interfaces
fxload-2008_10_13-lp151.2.3.x86_64.rpm Download Firmware into USB FX and FX2 Devices
fzy-0.9-lp151.2.3.x86_64.rpm A fuzzy text selector
g3utils-1.1.37-lp151.3.29.x86_64.rpm Tools for the G3 (Fax) Graphics Format
gaa-1.6.6-lp151.2.3.x86_64.rpm GAA Argument Analyzer and Code Generator
gajim-1.0.3-lp151.2.2.noarch.rpm XMPP client written in Python and Gtk3
gajim-lang-1.0.3-lp151.2.2.noarch.rpm Translations for package gajim
Advertisement
Advertisement